package com.huigou.topsun.ep.order.application;

import com.huigou.topsun.ep.order.domain.EpSaleOrderItem;
import com.huigou.topsun.ep.order.domain.query.EpSaleOrderQueryRequest;

import java.util.List;
import java.util.Map;

/**
 * @Auther: xin.lu
 * @Date: 2024/03/12/19:13
 * @Description:
 */
public interface EpSaleOrderItemApplication {
    
    public static final String QUERY_XML_FILE_PATH = "config/topsun/ep/epSaleOrder/epSaleOrder.xml";
    void saveEpSaleOrderItems(String epSaleOrderId, List<EpSaleOrderItem> epSaleOrderItems);

    Map<String,Object> queryEpSaleOrderItems(EpSaleOrderQueryRequest queryRequest);

    void deleteByIds(List<String> ids);

    List<EpSaleOrderItem> findByEpSaleOrderId(String epSaleOrderId);
}
